@import url('satoshi.css');

:root {
    --background-gray: #f5f8ff;
    --background-pink: #df3060;
    --background-white: #fff;
    --text-dark: #1c1c1c;
    --text-pink: #df3060;
    --text-white: #fff;
  }

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Satoshi-Regular';
    font-size: 20px;
    line-height: 1.6;
    background-color: var(--background-gray);
    color: var(--text-dark);
    padding: 0;
    margin: 0;
    text-align: center;
}

h1, h2 {
    line-height: 1;
}

p {
  line-height: 1.5rem;
}

h1 {
  font-family: 'Satoshi-Black';
  text-align: center;
  letter-spacing: -3px;
  font-size: 3.875rem;
}

h2 {
  font-size: 3.5rem;
  font-family: 'Satoshi-Light';
}

img {
  width: auto;
  max-width: 100%;
}

.container {
  max-width: 1400px;
  margin: 80px auto 80px auto;
}

.container-fluid {
  position: relative;
}

.block {
  display: block;
}

.row {
  margin-bottom: 80px;
}

.row > .hero-title {
  display: flex;
  flex-direction: column;
  gap: 32px;
  align-items: center;
}

.badge {
  position: relative;
  font-family: 'Satoshi-Medium';
  text-transform: uppercase;
  padding: 8px 20px;
  border: 1px solid transparent;
  border-radius: 39px;
  background-color: var(--background-gray);
}

.border-overlay {
  position: absolute;
  top: -2px;
  left: -2px;
  right: -2px;
  bottom: -2px;
  z-index: -1;
  background-image: linear-gradient(to right, #9130f4, #4646f9);
  border-radius: 39px;
}


.shadow {
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.hero-color-title {
  padding-top: 30px;
  display: block;
}

.title-color {
  color: var(--text-pink);
  font-family: 'Satoshi-Black';
}

.card-container {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
}

.card {
  flex: 0 0 calc(50% - 20px);
  box-sizing: border-box;
  text-align: left;
  padding: 60px 35px;
  background-image: linear-gradient(to bottom right, #8d206b 0%, var(--background-pink) 51%);
  border-radius: 24px;
  color: #fff;
}

.card > .number {
  font-size: 3.1875rem;
  font-family: 'Satoshi-Bold';
}

.card > p {
  font-family: 'Satoshi-Light';
}

.flex {
  max-width: 850px;
  display: flex;
  flex-direction: column;
  gap: 60px;
  margin: auto;
  padding: 40px 0 100px 0;
}

.flex::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: url('../img/hex-left.png');
  background-size: 20%;
  background-repeat: no-repeat;
  z-index: -1;
}

.flex::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: url('../img/hex-right.png');
  background-size: 20%;
  background-position: top right;
  background-repeat: no-repeat;
  z-index: -1;
}

.flex p {
  max-width: 800px;
  margin: auto;
}

.flex h2, .flex .title-color  {
  font-family: 'Satoshi-Black';
}

.gradient-title {
  background-image: linear-gradient(to bottom right, #8d206b 0%, var(--background-pink) 80%);
  -webkit-background-clip: text;
  color: transparent;
}

form {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
}

form > div {
  text-align: left;
  flex: 0 0 calc(100%);
  box-sizing: border-box;
}

form > div:nth-child(1), form > div:nth-child(2) {
  flex: 0 0 calc(50% - 10px);
}

label {
  font-size: 1rem;
}

label.error {
  color: red;
}

input {
  padding: 12px 16px;
  border-radius: 8px;
  background-color: var(--background-white);
  border: 1px solid #ddd;
  width:100%;
}

.checkmark-options {
  display: flex;
  gap: 20px;
  padding-top: 15px;
}

.checkmark-container {
  display: block;
  position: relative;
  padding-left: 35px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.checkmark-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 22px;
  width: 22px;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 5px;
}

.checkmark-container:hover input ~ .checkmark {
  background-color: var(--background-white);
}

.checkmark-container input:checked ~ .checkmark {
  background-color: #1c1c1c;
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.checkmark-container input:checked ~ .checkmark:after {
  display: block;
}

.checkmark-container .checkmark:after {
  left: 8px;
  top: 4px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

button {
  color: var(--text-white);
  font-size: 1.3rem;
  border-radius: 12px;
  background-image: linear-gradient(to bottom right, #8d206b 0%, var(--background-pink) 51%);
  width: auto;
  padding: 20px 30px;
  border: none;
  cursor: pointer;
}

.logo-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  align-items: center;
}

.logo-card {
  flex: 0 0 calc(15% - 10px);
  box-sizing: border-box;
  padding: 10px;
}

.video {
  padding: 60px 0;
}

.video-container {
  position: relative;
  width: 100%;
  margin: 0 auto;
}

video {
  width: 100%;
  display: block;
  box-shadow: 0px -50px 120px 0px rgb(223 48 96 / 50%);
  border-radius: 40px 40px 0px 0;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  cursor: pointer;
}

.overlay > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border: 5px solid #181314;
  border-bottom: none;
  border-radius: 40px 40px 0px 0;
}

.review-image {
  position: absolute;
  top: 80px;
}

.play-image {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 80px;
}
.ty-row{
       padding-top:400px;
   }
   
 .ty-p{
       padding-top:40px;
       font-size:40px;
   }
   
   .ty-button{
       margin-top:40px;
       
   }
   

@media (max-width: 1400px) {
  .container {
    max-width: 100%;
    width: 100%;
    padding: 0 40px;
  }
}

@media (max-width: 1024px) {
  h1 {
    font-size: 3.2rem;
  }

  h2 {
    font-size: 3rem;
  }

  .review-image {
    top: 40px;
  }

  .card > .number {
    font-size: 2.8rem;
  }

  .flex {
    max-width: 800px;
    padding: 40px 0 60px 0;
  }

  .flex::before, .flex::after {
    background-size: 12%;
  }
}

@media (max-width: 800px) {
  h1 {
    font-size: 2.5rem;
  }

  h2 {
    font-size: 2.3rem;
  }

  .row.video {
    margin-bottom: 40px;
  }

  .review-image {
    top: 10px;
  }

  .card > .number {
    font-size: 2rem;
  }

  .flex, .flex p {
    max-width: 80%;
  }

  .flex {
    padding: 40px 0 40px 0;
  }

  .logo-container {
    gap: 10px;
  }

  .logo-card {
    flex: 0 0 calc(15% - 5px);
  }
.row.ty-row {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: 100%; /* Ili prilagodite visinu prema potrebi */
}
.ty-p{
       font-size:20px !important;
   }
   .ty-row{
       padding-top:0px !important;}
}

@media (max-width: 600px) {
  .badge {
    font-size: 1rem;
  }

  h1 {
    font-size: 2.2rem;
  }

  h2 {
    font-size: 2rem;
  }

  video {
    box-shadow: 0px -20px 50px 0px rgb(223 48 96 / 50%);
  }

  .video {
    padding: 0 0 40px 0;
  }

  .play-image {
    width: 60px;
  }

  .card-container {
    gap: 10px;
  }

  .card {
    flex: 0 0 calc(50% - 5px);
    padding: 20px;
  }

  .card h4 {
    font-size: 1.1rem;
    line-height: 1.2rem;
    margin-bottom: 10px;
  }

  .card p {
    font-size: 1rem;
    line-height: 1.1rem;
  }

  .logo-card {
    flex: 1 0 calc(24% - 5px);
  }
}

   
@media (max-width: 400px) {
  .container {
    padding:  0 20px;
  }

  .badge {
    font-size: 0.8rem;
  }

  .row.video {
    margin-bottom: 0;
  }

  .review-image {
    width: 60%;
  }

  .play-image {
    width: 40px;
  }

  .card-container {
    flex-direction: column;
  }

  .flex {
    padding: 0;
  }

  .flex, .flex p {
    max-width: 85%;
  }

  .checkmark-options {
    flex-wrap: wrap;
    gap: 10px;
  }

  .logo-card {
    flex: 1 0 calc(25% - 5px);
  }
  
 
}


